org.thymeleaf.extras.java8time.util

## Class TemporalCreationUtils

- Object
- - org.thymeleaf.extras.java8time.util.TemporalCreationUtils

-     public final class TemporalCreationUtils
      extends Object

  This class instances implementations of Temporal (`Temporal`) according to different sets of parameters.
  Since:
    2.1.0
  Author:
    José Miguel Samper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemporalCreationUtils()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Temporal` | `create(Object year, Object month, Object day)`
    `Temporal` | `create(Object year, Object month, Object day, Object hour, Object minute)`
    `Temporal` | `create(Object year, Object month, Object day, Object hour, Object minute, Object second)`
    `Temporal` | `create(Object year, Object month, Object day, Object hour, Object minute, Object second, Object nanosecond)`
    `Temporal` | `createDate(String isoDate)`
    `Temporal` | `createDate(String isoDate, String pattern)`
    `Temporal` | `createDateTime(String isoDate)`
    `Temporal` | `createDateTime(String isoDate, String pattern)`
    `Temporal` | `createNow()`
    `Temporal` | `createNowForTimeZone(Object zoneId)`
    `Temporal` | `createToday()`
    `Temporal` | `createTodayForTimeZone(Object zoneId)`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TemporalCreationUtils

          public TemporalCreationUtils()

  - ### Method Detail

    - #### create

          public Temporal create(Object year,
                                 Object month,
                                 Object day)

      Returns:
        a instance of java.time.LocalDate
      Since:
        2.1.0

    - #### create

          public Temporal create(Object year,
                                 Object month,
                                 Object day,
                                 Object hour,
                                 Object minute)

      Returns:
        a instance of java.time.LocalDateTime
      Since:
        2.1.0

    - #### create

          public Temporal create(Object year,
                                 Object month,
                                 Object day,
                                 Object hour,
                                 Object minute,
                                 Object second)

      Returns:
        a instance of java.time.LocalDateTime
      Since:
        2.1.0

    - #### create

          public Temporal create(Object year,
                                 Object month,
                                 Object day,
                                 Object hour,
                                 Object minute,
                                 Object second,
                                 Object nanosecond)

      Returns:
        a instance of java.time.LocalDateTime
      Since:
        2.1.0

    - #### createNow

          public Temporal createNow()

      Returns:
        a instance of java.time.LocalDateTime
      Since:
        2.1.0

    - #### createNowForTimeZone

          public Temporal createNowForTimeZone(Object zoneId)

      Returns:
        a instance of java.time.ZonedDateTime
      Since:
        2.1.0

    - #### createToday

          public Temporal createToday()

      Returns:
        a instance of java.time.LocalDate
      Since:
        2.1.0

    - #### createTodayForTimeZone

          public Temporal createTodayForTimeZone(Object zoneId)

      Returns:
        a instance of java.time.ZonedDateTime with 00:00:00.000 for the time part
      Since:
        2.1.0

    - #### createDate

          public Temporal createDate(String isoDate)

      Returns:
        a instance of java.time.LocalDate
      Since:
        2.1.0

    - #### createDateTime

          public Temporal createDateTime(String isoDate)

      Returns:
        a instance of java.time.LocalDateTime
      Since:
        2.1.0

    - #### createDate

          public Temporal createDate(String isoDate,
                                     String pattern)

      Returns:
        a instance of java.time.LocalDate
      Since:
        2.1.0

    - #### createDateTime

          public Temporal createDateTime(String isoDate,
                                         String pattern)

      Returns:
        a instance of java.time.LocalDateTime
      Since:
        2.1.0

Copyright © 2016 The THYMELEAF team. All rights reserved.